gr::satellites::encode_rs Class Reference

<+description of block+> More...

`#include <encode_rs.h>`

Inheritance diagram for gr::satellites::encode_rs:
[legend]

## Public Types

typedef boost::shared_ptr< encode_rs > | sptr

## Static Public Member Functions

static sptr | make (int basis)
| Return a shared_ptr to a new instance of satellites::encode_rs. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<encode_rs> gr::satellites::encode_rs::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::encode_rs::make | ( | int | basis | ) |

static

Return a shared_ptr to a new instance of satellites::encode_rs.

To avoid accidental use of raw pointers, satellites::encode_rs's constructor is in a private implementation class. satellites::encode_rs::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- encode_rs.h